wxActivateEvent(3)

NAME
wxActivateEvent - An activate event is sent when a window or application is being activated or deactivated.

DESCRIPTION

See: Overview events

This class is derived, and can use functions, from:

    • wxEvent

wxWidgets docs: wxActivateEvent

  Events

Use wxEvtHandler:connect/3 with wxActivateEventType to subscribe to events of this type.

DATA TYPES

wxActivate() :: #wxActivate{}.
wxActivateEvent() :: wx:wx_object().
wxActivateEventType() :: activate | activate_app | hibernate.

FUNCTIONS

getActive(This) -> boolean() when This :: wxActivateEvent().

    Returns true if the application or window is being activated, false otherwise.